import { z } from "zod";
export interface Request<T> {
    service: string;
    subject: string;
    data?: T;
}
export declare const InternalRequestSchema: z.ZodObject<{
    from: z.ZodString;
    data: z.ZodOptional<z.ZodAny>;
}, "strip", z.ZodTypeAny, {
    from: string;
    data?: any;
}, {
    from: string;
    data?: any;
}>;
export declare const InternalResponseSchema: z.ZodObject<{
    data: z.ZodOptional<z.ZodAny>;
    statusCode: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    statusCode: number;
    data?: any;
}, {
    statusCode: number;
    data?: any;
}>;
export type InternalRequest = z.infer<typeof InternalRequestSchema>;
export type InternalResponse = z.infer<typeof InternalResponseSchema>;
export interface Response<T> {
    data?: T;
    statusCode: number;
}
