import { z } from "zod";
import type Adaptor from "./adaptors/adaptor";
import { type Request, type Response } from "./messages";
import type { RouteSubscribeTypeFn } from "./types";
export default class Service {
    private name;
    private adaptors;
    constructor(name: string);
    addAdaptor(name: string, adaptor: Adaptor): void;
    subscribe<T extends z.ZodType<O>, O, U>(adaptor: string, subject: string, fn: RouteSubscribeTypeFn<z.infer<T>, U>, schema?: T | undefined): void;
    request<T, O, U extends z.ZodType<O>>(adaptor: string, req: Request<T>, schema?: z.ZodType<O>): Promise<Response<z.infer<U>>>;
    listen(): Promise<void>;
    stop(): Promise<void>;
}
